
#ifndef _TDR_H_
#define _TDR_H_


#ifndef TRUE
#define TRUE (1)
#endif

#ifndef FALSE
#define FALSE (0)
#endif

// Impedance
#define IMPEDANCE_OPEN         1
#define IMPEDANCE_SHORT_OR_LOW 2
#define IMPEDANCE_BAD          3
#define IMPEDANCE_TERMINATED   4
#define IMPEDANCE_NO_INFO      5
#define IMPEDANCE_NULL         6

// Refelction
#define REFLECTION_LESS_THAN_3M -2
#define REFLECTION_TERMINATED   -3
#define REFLECTION_NO_INFO      -6
//17_10_10
#define REFLECTION_FAIL         -7


		typedef struct{
          int open_cha_status;
          int cross_cha_status;
          int terminated_cha_status;
		  int short_cha_status;
          int open_chb_status;
          int cross_chb_status;
          int terminated_chb_status;
		  int short_chb_status;
		}TDR_status;










enum averaging_t
{
	DISABLE_AVG, //run one time 
	ENABLE_AVG   //run 6 times
};


int polling(int phy_id, int address,int bit_num, unsigned long poll_time);

int GetPeakAmpRef(double CabLength);

int TDR_run_one_test(int phy_id, int *reflection, int *impedance);

int TDR(int phy_id, int *reflection, double *impedance,int averaging, TDR_status *TDR_status_out);

//





#endif //_TDR_H_

