
#ifndef _PRBS_H_
#define _PRBS_H_

enum prbs_generator_enable_t
{
	ENABLE, 
	DISABLE 
};

enum prbs_count_mode_t
{
	CONTINUOUS, 
	SINGLE 
};

enum lock_and_clear_prbs_counters_t
{
	LOCK_AND_CLEAR, 
	LOCK 
};


		typedef struct {
          int byte_counter;
          int error_counter;
		}prbs_counters;




int prbs_generator(int phy_id,int prbs_generator_enable, int set_packet_length, int set_packet_IPG, int prbs_count_mode);
int prbs_checker(int phy_id, int lock_and_clear_prbs_counters, prbs_counters *counters );
int prbs_status(int phy_id, int *prbs_lock, int *prbs_sync_loss, int *prbs_busy);

#endif //_PRBS_H_

